%global momorel 2

%global tarball xf86-video-qxl
%global moduledir %(pkg-config xorg-server --variable=moduledir )
%global driverdir %{moduledir}/drivers

Summary:   Xorg X11 qxl video driver
Name:      xorg-x11-drv-qxl

# This is hack since a driver got built with the version number 0.0.20.f14b
# The next upstream version will have version 0.2.0
Version:   0.1.5

Release:   %{momorel}m%{?dist}
URL:       http://www.x.org
Source0:   http://xorg.freedesktop.org/releases/individual/driver/%{tarball}-%{version}.tar.bz2
NoSource:  0

License: MIT
Group:     User Interface/X Hardware Support

ExcludeArch: s390 s390x

BuildRequires: pkgconfig
BuildRequires: xorg-x11-server-devel >= 1.19.99
BuildRequires: spice-protocol >= 0.12.1
BuildRequires: glib2-devel
BuildRequires: libtool

Requires: xorg-x11-server-Xorg >= 1.19.99

%description 
X.Org X11 qxl video driver.

%package -n    xorg-x11-server-Xspice
Summary:       XSpice is an X server that can be accessed by a Spice client
Requires:      xorg-x11-server-Xorg
Requires:      python >= 2.6

%description -n xorg-x11-server-Xspice
XSpice is both an X and a Spice server.

%prep
%setup -q -n %{tarball}-%{version}

%build
# fix build on i686 20140618 rev. 66287
%global optflags %{optflags} -Wno-error=pointer-to-int-cast

autoreconf -f -i
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make install DESTDIR=%{buildroot} INSTALL='install -p'

# FIXME: Remove all libtool archives (*.la) from modules directory.  This
# should be fixed in upstream Makefile.am or whatever.
find %{buildroot} -regex ".*\.la$" | xargs rm -f --

mkdir -p %{buildroot}%{_sysconfdir}/X11
install -p -m 644 examples/spiceqxl.xorg.conf.example \
    %{buildroot}%{_sysconfdir}/X11/spiceqxl.xorg.conf
# FIXME: upstream installs this file by default, we install it elsewhere.
# upstream should just not install it and let dist package deal with
# doc/examples.
#rm %{buildroot}/usr/share/doc/xf86-video-qxl/spiceqxl.xorg.conf.example

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING README
%{driverdir}/qxl_drv.so

%files -n xorg-x11-server-Xspice
%defattr(-,root,root,-)
%doc COPYING README.xspice README examples/spiceqxl.xorg.conf.example
%config(noreplace) %{_sysconfdir}/X11/spiceqxl.xorg.conf
#%{_bindir}/Xspice
#%{driverdir}/spiceqxl_drv.so

%changelog
* Mon Mar 19 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (0.1.5-2m)
- rebuild against xorg-x11-server-1.20.0

* Wed Dec 21 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (0.1.5-1m)
- update 0.1.5

* Fri Dec 16 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (0.1.4-4m)
- rebuild against xorg-x11-server-1.19.0

* Mon Mar 14 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (0.1.4-3m)
- rebuild against xorg-x11-server-1.18.2

* Fri Apr 10 2015 Yohsuke Ooi <meke@momonga-linux.org>
- (0.1.4-2m)
- rebuild against xorg-x11-server-1.17.1

* Mon Apr 06 2015 Yohsuke Ooi <meke@momonga-linux.org>
- (0.1.4-1m)
- update 0.1.4

* Thu Nov 06 2014 Yohsuke Ooi <meke@momonga-linux.org>
- (0.1.3-1m)
- update 0.1.3

* Sat Oct 11 2014 Yohsuke Ooi <meke@momonga-linux.org>
- (0.1.2-1m)
- update 0.1.2

* Wed Jul 09 2014 Yohsuke Ooi <meke@momonga-linux.org>
- (0.1.1-5m)
- rebuild against xorg-server-1.15.99

* Wed Jun 18 2014 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.1-4m)
- fix build on i686

* Tue Jun 17 2014 Yohsuke Ooi <meke@momonga-linux.org>
- (0.1.1-3m)
- import fedora patches

* Sun Mar 09 2014 Yohsuke Ooi <meke@momonga-linux.org>
- (0.1.1-2m)
- import fedora patches

* Fri Aug  9 2013 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.1.1-1m)
- update 0.1.1-20130708

* Mon Oct  1 2012 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.1.0-1m)
- update 0.1.0

* Thu Sep  6 2012 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.0.22-3m)
- rebuild against xorg-x11-server

* Thu Jun 28 2012 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.0.22-2m)
- rebuild for glib 2.33.2

* Tue May  1 2012 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.0.22-1m)
- update 0.0.22

* Tue Jan 17 2012 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.0.21-8m)
- add patch

* Sun Jan  8 2012 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.0.21-7m)
- add patch

* Sat Jan  7 2012 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.0.21-6m)
- rebuild against xorg-x11-server-1.11.99.901

* Mon Jan  2 2012 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.0.21-5m)
- add patch20 (Build Fix only)

* Thu Oct 27 2011 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.0.21-4m)
- add surface-bound-fix.patch

* Sun Sep 18 2011 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.0.21-3m)
- base src update 0.0.16
- create xorg-x11-server-Xspice package

* Sun Jun 19 2011 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.0.21-2m)
- rebuild against xorg-x11-server-1.10.99.901

* Sun Jun 12 2011 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.0.21-1m)
- Initial commit Momonga Linux

* Wed Apr 20 2011 Hans de Goede <hdegoede@redhat.com> 0.0.21-3
- Add various bugfixes from upstream git
- Fixes VT-switching (rhbz#696711)
- Add support for old qxl device (from rhel6 branch) (rhbz#642153)

* Mon Mar 07 2011 Dave Airlie <airlied@redhat.com> 0.0.21-2
- Bump to for abi rebuild

* Sat Feb 12 2011 Soren Sandmann <ssp@redhat.com> 0.0.21-1
- New version number to make sure upgrading works

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.13-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jan 26 2011 Soren Sandmann <ssp@redhat.com> 0.0.13-1
- Update to 0.0.13 with surfaces

* Mon Dec 06 2010 Adam Jackson <ajax@redhat.com> 0.0.20.f14b-10
- Rebuild for new server ABI.

* Wed Oct 27 2010 Adam Jackson <ajax@redhat.com> 0.0.20.f14b-8
- Add ABI requires magic (#542742)

* Sun Oct 17 2010 Hans de Goede <hdegoede@redhat.com> 0.0.20.f14b-7
- Fix notification bubbles under gnome not showing (backport from the
  surface-fixes branch)

* Sun Oct 17 2010 Hans de Goede <hdegoede@redhat.com> 0.0.20.f14b-6
- Fix a pointer casting bug which causes the qxl driver to trigger an
  assertion in the qxl device terminating the entire virtual machine

* Mon Oct 11 2010 Hans de Goede <hdegoede@redhat.com> 0.0.20.f14b-5
- Don't access the qxl device when our vt is not focussed, this fixes
  Xorg crashing when switching to a text vc

* Sun Oct 10 2010 Hans de Goede <hdegoede@redhat.com> 0.0.20.f14b-4
- Fix the driver not working on qxl devices with a framebuffer of 8MB

* Sat Oct  9 2010 Hans de Goede <hdegoede@redhat.com> 0.0.20.f14b-3
- Add support for using resolutions > 1024x768 without needing an xorg.conf
- Restore textmode font when switching back to a textmode virtual console

* Fri Oct 08 2010 Jesse Keating <jkeating@redhat.com> - 0.0.20.f14b-2.1
- Rebuild for gcc bug 634757

* Tue Sep 14 2010 Soren Sandmann <ssp@redhat.com> 0.0.20.f14b-2
- Patch to fix it up for the new privates ABI (I had apparently been
  testing with a too old X server).

* Tue Sep 14 2010 Soren Sandmann <ssp@redhat.com> 0.0.20.f14b-1
- Add support for new device

* Sat Mar 13 2010 Dave Airlie <airlied@redhat.com> 0.0.12-2
- fix bug in qxl with asserts

* Sat Mar 13 2010 Dave Airlie <airlied@redhat.com> 0.0.12-1
- rebase to 0.0.12 release - fix some 16-bit bugs

* Mon Jan 11 2010 Dave Airlie <airlied@redhat.com> 0.0.9-0.1
- Initial public release 0.0.9
